org.springframework.web.reactive.accept

## Class RequestedContentTypeResolverBuilder

- java.lang.Object
- - org.springframework.web.reactive.accept.RequestedContentTypeResolverBuilder

    public class RequestedContentTypeResolverBuilder
    extends Object

Builder for a composite `RequestedContentTypeResolver` that delegates to other resolvers each implementing a different strategy to determine the requested content type -- e.g. Accept header, query parameter, or other.

Use builder methods to add resolvers in the desired order. For a given request he first resolver to return a list that is not empty and does not consist of just `MediaType.ALL`, will be used.

By default, if no resolvers are explicitly configured, the builder will add `HeaderContentTypeResolver`.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Nested Class Summary

Nested Classes
`static class` `RequestedContentTypeResolverBuilder.ParameterResolverConfigurer` Helper to create and configure `ParameterContentTypeResolver`.

### Constructor Summary

Constructors
Constructor and Description
`RequestedContentTypeResolverBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestedContentTypeResolver` `build()` Build a `RequestedContentTypeResolver` that delegates to the list of resolvers configured through this builder.
`void` `fixedResolver(org.springframework.http.MediaType... mediaTypes)` Add resolver that returns a fixed set of media types.
`void` `headerResolver()` Add resolver to get the requested content type from the "Accept" header.
`RequestedContentTypeResolverBuilder.ParameterResolverConfigurer` `parameterResolver()` Add a resolver to get the requested content type from a query parameter.
`void` `resolver(RequestedContentTypeResolver resolver)` Add a custom resolver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestedContentTypeResolverBuilder

    public RequestedContentTypeResolverBuilder()

### Method Detail

#### parameterResolver

    public RequestedContentTypeResolverBuilder.ParameterResolverConfigurer parameterResolver()

Add a resolver to get the requested content type from a query parameter. By default the query parameter name is `"format"`.

#### headerResolver

    public void headerResolver()

Add resolver to get the requested content type from the "Accept" header.

#### fixedResolver

    public void fixedResolver(org.springframework.http.MediaType... mediaTypes)

Add resolver that returns a fixed set of media types.

Parameters:
  `mediaTypes` - the media types to use

#### resolver

    public void resolver(RequestedContentTypeResolver resolver)

Add a custom resolver.

Parameters:
  `resolver` - the resolver to add

#### build

    public RequestedContentTypeResolver build()

Build a `RequestedContentTypeResolver` that delegates to the list of resolvers configured through this builder.